Skip to main content
`Ctrl`+`K`

# Library management functions

hipSPARSELt: Library management functions
Functions
Library management functions

## Functions

hipsparseStatus_t | hipsparseLtGetVersion (const hipsparseLtHandle_t *handle, int *version)
| Retrive the version number of the hipSPARSELt library.
hipsparseStatus_t | hipsparseLtGetProperty (hipLibraryPropertyType propertyType, int *value)
| Retrive the value of the requested property.
hipsparseStatus_t | hipsparseLtInit (hipsparseLtHandle_t *handle)
| Create a hipsparselt handle.
hipsparseStatus_t | hipsparseLtDestroy (const hipsparseLtHandle_t *handle)
| Destroy a hipsparselt handle.

## Detailed Description

Provides the library handle

## Function Documentation

## ◆ hipsparseLtDestroy()

hipsparseStatus_t hipsparseLtDestroy | ( | const hipsparseLtHandle_t * | handle | ) |

Destroy a hipsparselt handle.

`hipsparseLtDestroy` destroys the hipSPARSELt library context and releases all resources used by the hipSPARSELt library.

Parameters

  [in] | handle | hipsparselt library handle

Return values

  HIPSPARSE_STATUS_SUCCESS | the operation completed successfully.
  HIPSPARSE_STATUS_NOT_INITIALIZED | `handle` is invalid.

## ◆ hipsparseLtGetProperty()

hipsparseStatus_t hipsparseLtGetProperty | ( | hipLibraryPropertyType | propertyType,
|  | int * | value )

Retrive the value of the requested property.

`hipsparseLtGetProperty` return the value of the requested property.

Parameters

  [in] | propertyType | property type. hipLibraryPropertyType (defined in library_types.h)
  [out] | value | value of the requested property.

Return values

  HIPSPARSE_STATUS_SUCCESS |

## ◆ hipsparseLtGetVersion()

hipsparseStatus_t hipsparseLtGetVersion | ( | const hipsparseLtHandle_t * | handle,
|  | int * | version )

Retrive the version number of the hipSPARSELt library.

`hipsparseLtGetVersion` return the version number of the hipSPARSELt library.

Parameters

  [in] | handle | hipsparselt library handle.
  [out] | version | the version number of the library.

Return values

  HIPSPARSE_STATUS_SUCCESS |
  HIPSPARSE_STATUS_INVALID_VALUE | `handle` is invalid.

## ◆ hipsparseLtInit()

hipsparseStatus_t hipsparseLtInit | ( | hipsparseLtHandle_t * | handle | ) |

Create a hipsparselt handle.

`hipsparseLtInit` creates the hipSPARSELt library context. It must be initialized before any other hipSPARSELt API function is invoked and must be passed to all subsequent library function calls. The handle should be destroyed at the end using hipsparseLtDestroy_handle().

Parameters

  [out] | handle | hipsparselt library handle

Return values

  HIPSPARSE_STATUS_SUCCESS | the initialization succeeded.
  HIPSPARSE_STATUS_INVALID_VALUE | `handle` is invalid.